Domains
All operations require authentication.
List domainsProduction
List domains. Returns the names of the domains attached to the service. Filter them by state, such as ok or suspended.
Path parameters
The internal name of your mxplan organization
Query parameters
Filter the value of state property (=)
creatingdeletingokreopeningsuspendedsuspendingunknownResponse
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a domainProduction
Get a domain. Returns the type and state of the domain, its MX and SRV records with their validation status, the expected MX records, its MX relay and its aliases.
Path parameters
Domain name
The internal name of your mxplan organization
Response
Cname that will be checked to prove the domain ownership
List of aliases for this domain
Domain validation status
Expected MX record(s) on this domain
Indicate if this domain is an alias for another domain
If true your dns mx configuration is valid
Domain MX record configured in DNS
If specified, emails to not existing address will be redirected to that domain
Domain name
If true your dns srv record is valid
Domain SRV record configured in DNS
Domain state
creatingdeletingokreopeningsuspendedsuspendingunknownPending taks id
Domain type
authoritativenonAuthoritativeExample uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cnameToCheck": "string", "domainAliases": [ "string" ], "domainValidated": true, "expectedMX": [ "string" ], "isAliasDomain": true, "mxIsValid": true, "mxRecord": [ "string" ], "mxRelay": "string", "name": "string", "srvIsValid": true, "srvRecord": [ "string" ], "state": "creating", "taskPendingId": 0, "type": "authoritative"}
Update a domainProduction
Update a domain. Updates the type of the domain, authoritative or nonAuthoritative, and its mxRelay, the domain that receives the emails sent to addresses that do not exist.
Path parameters
Domain name
The internal name of your mxplan organization
Request body (required)
Cname that will be checked to prove the domain ownership
List of aliases for this domain
Domain validation status
Expected MX record(s) on this domain
Indicate if this domain is an alias for another domain
If true your dns mx configuration is valid
Domain MX record configured in DNS
If specified, emails to not existing address will be redirected to that domain
Domain name
If true your dns srv record is valid
Domain SRV record configured in DNS
Domain state
creatingdeletingokreopeningsuspendedsuspendingunknownPending taks id
Domain type
authoritativenonAuthoritativeResponse
Example uses domainName = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"